Subject: Re: Issues running the testsuite as root

From: Dennis Clarke <[email-masked]>
Date: Tue, 24 Jul 2012 09:59:26 -0400

> On 07/24/2012 03:33 PM, Dennis Clarke wrote:
> >
> >> These are known testsuite issues (not real bugs in automake), and have
> >> already been solved in the development version of Automake.  So we 
> don't
> >> need to worry about them.
> >
> > Okay .. this is a good thing. I guess we can expect a release on 
> that in
> > the near future ?
> >
> Couple of weeks for the next maintenance version (1.12.3) I'd say.  Couple
> of months at least for the next major version (1.13).

beauty. 

To me a testsuite that goes over thousands of tests is a damn good thing and thus I am fine with running the whole show. 

> >> Just to be extra-sure: does the test pass if you run it as a non-root
> >> user?  If you don't have to check this, no big deal, as I'm already
> >> pretty sure my diagnosis is correct.
> > 
> > I will go back and give that a go, again.  Will let you know for sure.
> > However this is an old slow Sun Sparc Netra box and it will take bloody
> > forever to run. Like 36 hours or so. 
> >
> Oh, don't bother re-running the whole testsuite!  Just the failed test
> should be enough.  You might re-run the whole testsuite once 1.12.3 is
> out, maybe, if you have enough patience.
> 

However, for just right now, how would I run just that one test? 

Dennis